<ng-container *ngIf="result">
  <mat-divider></mat-divider>
  <div class="result-header-container">
    <div class="checkbox-container">
      <mat-checkbox
        color="primary"
        [value]="result.job.id"
        [checked]="selected"
        (change)="onCheckboxChange($event)">
      </mat-checkbox>
    </div>
    <div class="result-description-container">
      <b
        data-cy="result-name"
        class="text-clamp"
        [appCopyToClipboard]="result.annotation"
        [matTooltip]="result.annotation | annotationToString">
        {{(result.annotation?.name | uppercase)}}
      </b>
      <app-job-status
        [matTooltip]="result.job | jobToString"
        [appCopyToClipboard]="result.job"
        [jobStatus]="result.job.status">
      </app-job-status>
    </div>
    <div class="zoom-to-button-container">
      <button
        data-cy="zoom-to-button"
        mat-icon-button
        matTooltip="Zoom To region of interest"
        [disabled]="!selected"
        (click)="zoomToAnnotation.emit(result.annotation)">
        <mat-icon>filter_center_focus</mat-icon>
      </button>
    </div>
    <div class="stop-job-button-container">
      <app-close-button
        icon="cancel"
        [disabled]="FINISHED_JOB_STATES.includes(result.job.status)"
        (clickedClose)="onJobStop(result.job.id)">
      </app-close-button>
    </div>
  </div>
  <div class="primitives-container">
    <div
      data-cy="primitive-item-list"
      class="primitive-item"
      [matTooltip]="primitive | primitiveToString"
      [appCopyToClipboard]="primitive"
      *ngFor="let primitive of result.primitives">
      <p data-cy="primitive-name" class="primitive-name">{{primitive.name}}</p>
      <p data-cy="primitive-value" class="primitive-value">{{primitive.type === "float" ? (primitive.value | percent) : primitive.value}}</p>
    </div>
  </div>
</ng-container>
